Subject: 29.0.50; [PATCH] Handle sharing Cocoa xwidgets more gracefully

From: 조성빈 <[email-masked]>
Date: Mon, 3 Oct 2022 18:32:20 +0900

Severity: normal
Tags: patch

The previous implementation of Cocoa xwidgets poorly handled cases where the
user tried to share xwidgets between multiple views (by spamming messages to
*Messages* on every redisplay, and not drawing anything on the second xwidget).
The attached patch fixes this issue by showing a warning label in the place of
the xwidget view.